From 4fbe8124fa6293b4f64552b8074032deaa89fd64 Mon Sep 17 00:00:00 2001
Message-Id: <4fbe8124fa6293b4f64552b8074032deaa89fd64.1730324123.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Wed, 30 Oct 2024 21:34:59 +0000
Subject: [PATCH] gnu: Add r-shinyauthr.

* gnu/packages/cran.scm (r-shinyauthr): New variable.

Change-Id: Ib96a8518e6bafaef61a03ac1b1131c4c893466a5
---
 gnu/packages/cran.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 717e4eac89..4d34435d92 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -5853,6 +5853,31 @@ (define-public r-shiny
 responsive, and powerful applications with minimal effort.")
     (license license:artistic2.0)))
 
+(define-public r-shinyauthr
+  (package
+    (name "r-shinyauthr")
+    (version "1.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "shinyauthr" version))
+       (sha256
+        (base32 "0apaqjkxpr96kx9indl0pifk5y75gdx5npfcvxfg5k2crpx9vmxk"))))
+    (properties `((upstream-name . "shinyauthr")))
+    (build-system r-build-system)
+    (propagated-inputs (list r-dplyr
+                             r-glue
+                             r-rlang
+                             r-shiny
+                             r-shinyjs
+                             r-sodium))
+    (home-page "https://github.com/paulc91/shinyauthr")
+    (synopsis "Shiny Authentication Modules")
+    (description
+     "Add in-app user authentication to Shiny, allowing you to secure publicly
+hosted apps and build dynamic user interfaces from user information.")
+    (license license:expat)))
+
 (define-public r-shinydisconnect
   (package
     (name "r-shinydisconnect")

base-commit: 9f4d9fdafd30d67b667342da1580ac5d8189f412
-- 
2.34.1

